<?php
require_once "connect.php";
require_once 'inc/usuario.php';


// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];

$st_ativo 	= 1;
$ok         = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
  echo $id_usuario;
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}

  $ds_codigo = $_POST['ds_codigo'];
  $ds_banco  = $_POST['ds_banco'];
  $ds_conta  = $_POST['ds_conta'];

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_financeiro_bancos 
								set ds_codigo = '$ds_codigo'
									, ds_banco='$ds_banco'
									, st_ativo  =  $st_ativo
									, id_usuario = $id_usuario
									, dh_alteracao=now()";

  $sql .= " where id = '$id'";
  
  echo $sql . '<br><br>';
  
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_financeiro_bancos 
								set st_ativo = 0
									, id_usuario = $id_usuario
									, dh_alteracao=now()";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_financeiro_bancos (  ds_codigo
												, ds_banco
												, ds_conta
												, id_usuario
												, st_ativo) 
									   values (   '$ds_codigo'
												, '$ds_banco'
												, '$ds_conta'
												, $id_usuario
												, $st_ativo )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $sql; // $errorMsg
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_financeiro_bancos_list.php");
}
?>
